Kea: isc::dhcp::PrefixRange Struct Reference

| Kea 3.2.0-git

isc::dhcp::PrefixRange Struct Reference

Structure representing delegated prefix range. More...

`#include <ip_range.h>`

## Public Member Functions
| PrefixRange (const asiolink::IOAddress &prefix, const uint8_t length, const uint8_t delegated)
| Constructor.
| PrefixRange (const asiolink::IOAddress &start, const asiolink::IOAddress &end, const uint8_t delegated)
| Constructor.

## Public Attributes
uint8_t | delegated_length_
| Delegated prefix length.
asiolink::IOAddress | end_
| IP address denoting the first address within the last prefix in the prefix range.
uint8_t | prefix_length_
| Prefix length.
asiolink::IOAddress | start_
| IP address denoting the start of the prefix range.

## Detailed Description

Structure representing delegated prefix range.

Definition at line 32 of file ip_range.h.

## Constructor & Destructor Documentation

## ◆ PrefixRange() [1/2]

isc::dhcp::PrefixRange::PrefixRange | ( | const asiolink::IOAddress & | prefix,
|  | const uint8_t | length,
|  | const uint8_t | delegated )

Constructor.

Parameters

  prefix | prefix from which prefixes are delegated.
  length | length of the prefix from which prefixes are delegated.
  delegated | delegated prefix length.

Exceptions

  BadValue | if the values provided to the constructor are invalid, e.g. it is not IPv6 prefix, delegated length is lower than prefix length etc.

Definition at line 31 of file ip_range.cc.

References delegated_length_, end_, if(), isc_throw, isc::asiolink::lastAddrInPrefix(), prefix_length_, and start_.

Here is the call graph for this function:

## ◆ PrefixRange() [2/2]

isc::dhcp::PrefixRange::PrefixRange | ( | const asiolink::IOAddress & | start,
|  | const asiolink::IOAddress & | end,
|  | const uint8_t | delegated )

Constructor.

Parameters

  start | beginning of the prefix range.
  end | end of the prefix range.
  delegated | delegated prefix length.

Exceptions

  BadValue | if the values provided to the constructor are invalid, e.g. it is not IPv6 prefix.

Definition at line 51 of file ip_range.cc.

References delegated_length_, end_, if(), isc_throw, prefix_length_, isc::asiolink::prefixLengthFromRange(), and start_.

Here is the call graph for this function:

## Member Data Documentation

## ◆ delegated_length_

uint8_t isc::dhcp::PrefixRange::delegated_length_

Delegated prefix length.

Definition at line 41 of file ip_range.h.

Referenced by PrefixRange(), and PrefixRange().

## ◆ end_

asiolink::IOAddress isc::dhcp::PrefixRange::end_

IP address denoting the first address within the last prefix in the prefix range.

Definition at line 37 of file ip_range.h.

Referenced by PrefixRange(), and PrefixRange().

## ◆ prefix_length_

uint8_t isc::dhcp::PrefixRange::prefix_length_

Prefix length.

Definition at line 39 of file ip_range.h.

Referenced by PrefixRange(), and PrefixRange().

## ◆ start_

asiolink::IOAddress isc::dhcp::PrefixRange::start_

IP address denoting the start of the prefix range.

Definition at line 34 of file ip_range.h.

Referenced by PrefixRange(), and PrefixRange().

The documentation for this struct was generated from the following files:

- ip_range.h
- ip_range.cc